﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Text;
using System.Threading.Tasks;

namespace InChatter.Service.Host
{
    class Program
    {
        static void Main(string[] args)
        {
            Uri baseUri = new Uri("http://localhost:1378/InChatter");
            using (ServiceHost host = new ServiceHost(typeof(Chat), baseUri))
            {
                NetTcpBinding binding = new NetTcpBinding();
                binding.Security.Mode = SecurityMode.None;
                //会话保持时间
                binding.ReceiveTimeout = TimeSpan.FromHours(2);
                host.AddServiceEndpoint(typeof(IChat), binding, "net.tcp://localhost:1121/InChatter");
                host.Description.Behaviors.Add(new ServiceMetadataBehavior { HttpGetEnabled = true });
                host.Opened += host_Opened;
                try
                {
                    host.Open();

                }
                catch (Exception ex)
                {
                    Console.WriteLine(ex.Message);
                }
                Console.WriteLine("Press 'exit' to exit!");
                string enterStr = Console.ReadLine();
                while (enterStr.ToLower() != "exit")
                {
                    enterStr = Console.ReadLine();
                }
            }
        }

        public static void host_Opened(object sender, EventArgs e)
        {
            Console.WriteLine("Service Opened!");
        }
    }
}




